package com.qmth.paper.library.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 客户端任务查询
 */
public class ClientScanTaskResult implements Serializable {
    @ApiModelProperty(value = "扫描任务ID")
    private String paperScanTaskId;

    @ApiModelProperty(value = "扫描任务名称")
    private String paperScanTaskName;

    @ApiModelProperty(value = "课程")
    private String courseName;

    @ApiModelProperty(value = "教学班")
    private String teachClazzName;

    @ApiModelProperty(value = "扫描量（份）")
    private int studentCount;

    @ApiModelProperty(value = "扫描张数")
    private int scanCount;

    public String getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(String paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getPaperScanTaskName() {
        return paperScanTaskName;
    }

    public void setPaperScanTaskName(String paperScanTaskName) {
        this.paperScanTaskName = paperScanTaskName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public int getScanCount() {
        return scanCount;
    }

    public void setScanCount(int scanCount) {
        this.scanCount = scanCount;
    }
}
